import { PluginObject, VueConstructor } from 'vue';
/** Common components */
import ClipboardCopyField from './components/common/ClipboardCopyField.vue';
import ColorInputField from './components/common/ColorInputField.vue';
import ColorPicker from './components/common/ColorPicker.vue';
import CondensedToolbar from './components/common/CondensedToolbar.vue';
import DateTimePicker from './components/common/DateTimePicker.vue';
import ErrorBanner from './components/common/ErrorBanner.vue';
import FloatingActionButton from './components/common/FloatingActionButton.vue';
import HeaderField from './components/common/HeaderField.vue';
import IconSelector from './components/common/IconSelector.vue';
import ImageZoomOnHover from './components/common/ImageZoomOnHover.vue';
import LinkedHeaderField from './components/common/LinkedHeaderField.vue';
import LoadingOverlay from './components/common/LoadingOverlay.vue';
/** Configuration components */
import ContentDeleteIcon from './components/configuration/ContentDeleteIcon.vue';
import ContentField from './components/configuration/ContentField.vue';
import ContentLink from './components/configuration/ContentLink.vue';
import ContentSection from './components/configuration/ContentSection.vue';
import ContentWarning from './components/configuration/ContentWarning.vue';
import DatatableLink from './components/configuration/DatatableLink.vue';
import DatatableSection from './components/configuration/DatatableSection.vue';
import NewElementChooser from './components/configuration/NewElementChooser.vue';
import NewElementEntry from './components/configuration/NewElementEntry.vue';
import PageHeader from './components/configuration/PageHeader.vue';
/** Form components */
import DialogForm from './components/common/form/DialogForm.vue';
import FormDateTimePicker from './components/common/form/FormDateTimePicker.vue';
import FormSelect from './components/common/form/FormSelect.vue';
import FormSelectCondensed from './components/common/form/FormSelectCondensed.vue';
import FormText from './components/common/form/FormText.vue';
import FormTextArea from './components/common/form/FormTextArea.vue';
import ScriptChooser from './components/common/form/ScriptChooser.vue';
/** Dialog components */
import BaseDialog from './components/dialog/BaseDialog.vue';
import ConfirmDialog from './components/dialog/ConfirmDialog.vue';
import DeleteDialog from './components/dialog/DeleteDialog.vue';
import DialogHeader from './components/dialog/DialogHeader.vue';
import MetadataPanel from './components/dialog/MetadataPanel.vue';
/** List components */
import ListEntry from './components/list/ListEntry.vue';
import ListLayout from './components/list/ListLayout.vue';
import ListPage from './components/list/ListPage.vue';
import ListTab from './components/list/ListTab.vue';
import Pager from './components/list/Pager.vue';
/** Login components */
import RemotesDialog from './components/login/RemotesDialog.vue';
import RemotesDropdown from './components/login/RemotesDropdown.vue';
/** Navigation components */
import ContentTab from './components/navigation/ContentTab.vue';
import DataEntryPanel from './components/navigation/DataEntryPanel.vue';
import DataTableTab from './components/navigation/DataTableTab.vue';
import DetailPage from './components/navigation/DetailPage.vue';
import HeaderBrandingPanel from './components/navigation/HeaderBrandingPanel.vue';
import InAppFooter from './components/navigation/InAppFooter.vue';
import InAppSystemBar from './components/navigation/InAppSystemBar.vue';
import Navigation from './components/navigation/Navigation.vue';
import NavigationActionButton from './components/navigation/NavigationActionButton.vue';
import NavigationHeaderFields from './components/navigation/NavigationHeaderFields.vue';
import NavigationHeaderLeft from './components/navigation/NavigationHeaderLeft.vue';
import NavigationHeaderPanel from './components/navigation/NavigationHeaderPanel.vue';
import NavigationPage from './components/navigation/NavigationPage.vue';
/** Core components */
import { CreateDialogComponent } from './components/core/CreateDialogComponent';
import { DetailComponent } from './components/core/DetailComponent';
import { DeleteDialogComponent } from './components/core/DeleteDialogComponent';
import { DialogComponent } from './components/core/DialogComponent';
import { DialogSection } from './components/core/DialogSection';
import { EditDialogComponent } from './components/core/EditDialogComponent';
import { HeaderComponent } from './components/core/HeaderComponent';
import { ListComponent } from './components/core/ListComponent';
declare class Plugin implements PluginObject<Vue> {
    install(Vue: VueConstructor): void;
}
declare const plugin: Plugin;
export default plugin;
/** Common components */
export { ClipboardCopyField, ColorInputField, ColorPicker, CondensedToolbar, DateTimePicker, ErrorBanner, FloatingActionButton, HeaderField, IconSelector, ImageZoomOnHover, LinkedHeaderField, LoadingOverlay, };
/** Configuration components */
export { ContentDeleteIcon, ContentField, ContentLink, ContentSection, ContentWarning, DatatableLink, DatatableSection, NewElementChooser, NewElementEntry, PageHeader, };
/** Form components */
export { DialogForm, FormDateTimePicker, FormSelect, FormSelectCondensed, FormText, FormTextArea, ScriptChooser, };
/** Dialog components */
export { BaseDialog, ConfirmDialog, DeleteDialog, DialogHeader, MetadataPanel, };
/** List components */
export { ListEntry, ListLayout, ListPage, ListTab, Pager, };
/** Login components */
export { RemotesDialog, RemotesDropdown, };
/** Navigation components */
export { ContentTab, DataEntryPanel, DataTableTab, DetailPage, HeaderBrandingPanel, InAppFooter, InAppSystemBar, Navigation, NavigationActionButton, NavigationHeaderFields, NavigationHeaderLeft, NavigationHeaderPanel, NavigationPage, };
/** Core components */
export { CreateDialogComponent, DeleteDialogComponent, DetailComponent, DialogComponent, DialogSection, EditDialogComponent, HeaderComponent, ListComponent, };
